#  Gianism 

Contributors: Takahashi_Fumiki  
Tags: facebook,twitter,google,instagram,account,oauth,community,social,sns  
Requires at least: 4.6  
Tested up to: 4.7.5
Stable tag: 3.0.5
License: GPL 2.0 or later  
License URI: https://www.gnu.org/licenses/gpl-2.0.html

Connect user accounts with major web services like Facebook, twitter, etc. Stand on the shoulders of giants!

##  Description 

This plugin enables your users to login/register with major Web service's accounts. Below is supported services.

If your site needs user's login action, **signing-up is the most difficult step**. With this plugin, users can sign up without inputting email nor password.

**NOTICE: Requires PHP5.4 and over!**

### Log in Flow Video

https://youtu.be/JXl3EMPmXkY

###  Supported Web services

* [Facebook](https://www.facebook.com)
* [Twitter](https://twitter.com) *Requires PHP >=5.5*
* [Google](https://google.com)
* [Instagram](https://instagram.com)

###  Acknowledgements  

* Use [Abraham Williams' twitteroauth](https://github.com/abraham/twitteroauth).
* Use [Facebook's official PHP SDK](https://github.com/facebook/facebook-php-sdk). 
* Use [Google API PHP Client](http://code.google.com/p/google-api-php-client/).
* Use [Ligature Symbols](http://kudakurage.com/ligature_symbols/) (Web font).

Gianism awes a lot to these open source projects. Thanks lots!

##  Installation 

Install itself is easy. Auto install from admin panel is recommended. Search with `gianism`.

1. Donwload and unpack plugin file, upload `gianims` folder to `/wp-content/plugins` directory.
2. Activate it from admin panel.

### Use latest source on github

You can get this plugin from [github](https://github.com/fumikito/Gianism/). Clone it and run `composer install && npm install && npm start`. About composer and npm, google it.

###  How to set up 

After plugin's activation, you have to set it up. Every setup has 2 step. One is on SNS, the other is on your site.

For example, if you use Facebook, register new app on Facebook, then input app ID and token on WordPress admin panel. Every SNS requires **registeration of Apps** and **credentials related to it**.

For more details, please refer to setting screen's instruction or our site [gianism.info](https://gianism.info/).

##  Frequently Asked Questions 

> Can I use this in English?

Maybe yes. Translations are welcomed.

> Found bug. It sucks.

Sorry for that. Please refer to our support site [gianism.info](http://wordpress.org/support/plugin/gianism) or send pull request to [repository on Github](https://github.com/fumikito/Gianism/).

##  Screenshots 

1. Buttons on Login/registration screen.
2. Show connection status on profile screen. Registered users can connect account here.
3. Suit to plugins which customize login screen, e.g. [Theme My Login](http://wordpress.org/extend/plugins/theme-my-login/).

##  Changelog 

Here is a list of change logs.

### 3.0.5

* Fix error message on session availability check.

### 3.0.4

* Fix fatal error on utility function call([detail](https://github.com/fumikito/Gianism/pull/70)). Thanks [@atomita](https://github.com/atomita)!
* Now you can get twitter email(extra setting on [twitter application manager](https://apps.twitter.com/) required)!
* WooCommerce supported.

### 3.0.3

* Twitter login now requires PHP 5.5 and over.
* If `redirect_to` query is set, redirect user.
* Change error message.

### 3.0.2

* Minor bugfix on bootstrap file `wp-gianism.php`. PHP < 5.4 failed with syntax error.

### 3.0.1

* Minor bugfix on Facebook API page.

### 3.0.0

This release has **breaking changes**. Please check carefully change logs.

* PHP version should be 5.4 and over.
* Mainly supported SNS are now below.
  * Facebook
  * Google
  * twitter
  * Instagram
* Dropped services(mixi, Yahoo! Japan, github, Amazon) are reborned as addons! Please visit our [addon list](https://gianism.info/add-on/).
* As mentioned above, Gianism now have addon system. You can add new addons.
* Mail fall back is dropped. So, some user might miss your important notification.

**NOTICE:** Please update Google Analytics token if you use it!

### 2.2.7

* Follow facebook Graph API 2.4 change. See detail at [Introducing Graph API v2.4](https://developers.facebook.com/blog/post/2015/07/08/graph-api-v2.4/).

### 2.2.6

* Quit loading Facebook JS SDK.

### 2.2.5
* Fix Typo.
* Now you can specify redirect URL with function `gianism_login()`. very cool!

### 2.2.4

* Add feature. Now you can add Ajax classes to your theme. This is very experimental and requires development experience. 
  You can find it on **Tools** admin screen.
  I will add some nice documentation in the future, so please be patient. If you are interested in it, [ask me](https://twitter.com/takahashifumiki) detail. 

### 2.2.3

* Fix bug with Google Analytics Cron. Change `self::` to `static::`. Sorry for that.

### 2.2.2

* Fix strange layout of TinyMCE. Sorry for that.
* Update **Advanced Usage** doc on admin screen.

### 2.2.1

* Fix syntax highlighter
* Add short hand for Facebook PHP SDK client

### 2.2.0

* Add twitter bot feature. Enable it on setting screen and try it.

### 2.1.1

* Bug fix. Google Analytics' cron fails to merge child theme's folder. Thanks for [Daisuke Takahashi](http://www.extendwings.com).

### 2.1.0

* Stop starting session on every access. Now, session is used only on gianism's original URL, so your cache plugins may work well.
* Add hidden feature for Google Analytics Data API. This is very experimental and hard to explain, so if you are interesteed in, please check **Tools page** on Admin panel.

### 2.0.2

* Fixed typo. Thanks [luminousspice](https://github.com/luminousspice)!

### 2.0.1

* Fix auto-loader. This error has occurred on the server which contains capital letter in document root path. Sorry for that.

### 2.0.0

* Add Amazon, Github
* Requires PHP 5.3 or later. Using name space and auto loader.
* Design is suit for WordPress 3.8's new admin.
* Login buttons are redesigned. Now you can choose large flat buttons or normal buttons.

###  1.3.1  

* Follow [twitter's API 1.1 Retirement](https://dev.twitter.com/blog/api-v1-is-retired).

###  1.3.0 

* Updated Facebook PHP SDK to 3.2.2.
* Add function to get publish permission of Faccebook.
* Now you can controll login buttons display.

###  1.2.5 

* Nothing is changed but svn repo is broken, so changed version :(

###  1.2.4 

* Yahoo! JAPAN is added.
* Fixed bug on twitter connection.

###  1.2.3 

* Make manual on admin screen. （管理画面にマニュアルを追記しました）
* Readme is now in English.（readmeが日本語だとユーザーが混乱するようなので、英語も追加）

###  1.2.2 

* バグフィックス
    * Facebookログインがgianism_redirect_toフィルターを通らない問題を修正。サンキュー、[確認さん](http://profiles.wordpress.org/horike/)!
    * mixiログインを有効化したときにエラーが発生する問題を修正

###  1.2.1 

* バグフィックス。mixiの値によって画面が表示されないときがあるので修正。

###  1.2.0 

* mixiでログインできるようにしました。

###  1.1.7 

* バグフィックス。なんということでしょう、Facebookユーザーでユーザー名を持っていない人が登録できない問題を修正

###  1.1.6 

* バグフィックス。Googleアカウントでログインする際にリダイレクトエラーが発生する問題を解消。

###  1.1.5  

* バグフィックス。特定の環境でFacebookへの接続がタイムアウトする問題を修正
* バグフィクス。 Googleアカウントだけを有効にした場合、ボタンが出力されない問題を修正

###  1.1.4 

* バグフィックス。Facebookボタンにバグがあったので修正
* リダイレクト先を変更できるフックを追加

###  1.1.3 

* ログインボタンを好きな場所で出せる関数を追加
* 各ボタンのマークアップを変更するためのフィルターを追加

###  1.1.2 

* Twitterでつぶやく機能を追加しました。詳しくはgianism/functions.phpをご覧下さい。

###  1.1.1 

* Bugfix. Facebookでログインするときのエラーを修正しました。ごめんなさい。

###  1.1 

* Twitterアカウントのみで登録したユーザーにDMを送信するため、強制的にフォローする仕様に変更しました。

###  1.0 

* 公開

##  Upgrade Notice 

###  1.1 

Twitterでログインしたユーザーに自分をフォローさせるため、管理画面からスクリーン名（@xxx）を追加してください。入力しない場合はフォローされない場合もあるため、DMが送信できないことがあります。

###  1.0 

特になし。
